<?php
	/*
	Plugin Name: Callback Request
	Plugin URI: http://www.joeybdesign.co.uk/callback-request-wp-plugin/
	Description: This plugin creates a quick and easy way to add a call back request form to your webpage using a shortcode. The user is asked for a name, phone number and ideal time and will then email you all their details.
	Author: J. Biesta
	Version: 1.2
	Author URI: http://www.joeybdesign.co.uk
	*/
	/*  Copyright 2012  Jo Biesta  (email : jo@joeybdesign.co.uk)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License, version 2, as 
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

function callback_settings() {

	include('callback_settings.php');
}

function callback_admin_actions() {
	add_menu_page("Callback Request", "Callback Request", 1, "Callback Request", "callback_settings");
}

add_action('admin_menu', 'callback_admin_actions');

function callback_outputbuffer(){
	include('callback_shortcode.php');
}
function callback_js(){
	wp_register_script( 'callback_js', plugins_url('/js/jsvalidate.js', __FILE__), false);
	wp_enqueue_script( 'callback_js' );
}
add_action( 'wp_enqueue_scripts', 'callback_js');

function callback_css(){
	wp_register_style( 'callback_css', plugins_url('/css/style.css', __FILE__), false, '1.0.0' );
	wp_enqueue_style( 'callback_css' );
}

add_action( 'wp_enqueue_scripts', 'callback_css');

function callback_shortcode() {
	ob_start();
	callback_outputbuffer();
	$shortcode=ob_get_contents();
	ob_end_clean();
	return $shortcode;
}

add_shortcode('callback_shortcode', 'callback_shortcode');
?>